//OnDeath

// Spawn explosion particles to hide the fact that the model instantly disappears >.>
for (var i=0; i<50; i++)
{
	entity.spawnExplosionParticle();
}

// Insert Item Drop Code in here somewhere

m.removeFromRendering();

// Remove deku nuts
for (var i=0; i<dekuNuts.length; i++)
{
	dekuNuts[i].model.removeFromRendering();
}
